Get an athlete
curl --request GET \
--url https://api.wodup.dev/api/public/athletes/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.wodup.dev/api/public/athletes/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.wodup.dev/api/public/athletes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"access": "member",
"added_at": "2001-01-01T00:00:00Z",
"email": "jane@smith.com",
"followed_programs": [
{
"access": "private",
"id": "p_123abc",
"name": "Strength and Conditioning",
"period": "continuous",
"status": "active"
}
],
"gender": "female",
"id": "ath_123abc",
"invite_url": "https://www.wodup.com/invite/abc123",
"name": "Jane Smith",
"staff": null
}{
"errors": {}
}Athletes
Get an athlete
GET
/
api
/
public
/
athletes
/
{id}
Get an athlete
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
Only used by platform integrations
ID of gym to execute on behalf of
Example:
"gym_123abc"
Path Parameters
ID of athlete to archive
Example:
"ath_123abc"
Response
get athlete response
An athlete at your organization
Athlete access
Available options:
member, marketplace, archived, deleted Date athlete initially added to your organization. ISO8601 timestamp in UTC
Athlete email address
List of programs the athlete follows on their timeline
Show child attributes
Show child attributes
Athlete ID
A URL that allows a user to claim this athlete account.
Athlete name
Athlete gender
Available options:
male, female, nonbinary, undisclosed, null Athlete staff
Available options:
admin, coach, null